On Tue, 2004-02-03 at 04:49, Sven Neumann wrote:
> > Done. The patch affects 48 different scripts. It will allow for the
> > eventual removal of some code in siod-wrapper.c (for the 2.2 release?).
> 
> I don't think we want to break backward compatibility so this code
> will have to stay.

The code should certainly stay for the 2.0 release. I have made a script
available that makes it easy to update scripts to the latest API. The
compatibility could be removed as of 2.2 since we don't want to keep it
indefinitely. However, the when isn't up to me unless I do come up with
something to replace the existing Script-Fu extension.

BTW, if you don't like the CHANNEL-OP enum, Sven, go head and change it.
Let me know what you change it to in the rest of the system so I can
ensure the Script-Fu system accepts the new constant and so I can update
the standard GIMP scripts to use the new constant.

-- 
Cheers!
 
Kevin.  (http://www.interlog.com/~kcozens/)
 
Owner of Elecraft K2 #2172        |"What are we going to do today, Borg?"
E-mail:kcozens at interlog dot com|"Same thing we always do, Pinkutus:
Packet:[EMAIL PROTECTED]|  Try to assimilate the world!"
#include <disclaimer/favourite>   |              -Pinkutus & the Borg

_______________________________________________
Gimp-developer mailing list
[EMAIL PROTECTED]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer

Reply via email to